Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class WorkingSpecs

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.WorkingSpecs

Deprecated See BEA Commerce product offering

    @Deprecated
    public class WorkingSpecs

extends Object

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering
`static int` | `INIT_LIST_SIZE` Deprecated See BEA Commerce product offering

Constructor Summary
`WorkingSpecs(List specs, SelectionType type)` Deprecated See BEA Commerce product offering
`WorkingSpecs(List specs, SelectionType type, int setLimit)` Deprecated See BEA Commerce product offering

Method Summary
`void` | `commit()` Deprecated See BEA Commerce product offering
`List` | `getResults()` Deprecated See BEA Commerce product offering
`SelectionType` | `getType()` Deprecated See BEA Commerce product offering
`boolean` | `isSatisfied()` Deprecated See BEA Commerce product offering
`boolean` | `minMet()` Deprecated See BEA Commerce product offering
`boolean` | `select()` Deprecated See BEA Commerce product offering
`void` | `set(List specs, SelectionType type, int setLimit)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### INIT_LIST_SIZE

    public static final int INIT_LIST_SIZE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### WorkingSpecs

    public WorkingSpecs(List specs,
                        SelectionType type)

  Deprecated See BEA Commerce product offering

### WorkingSpecs

    public WorkingSpecs(List specs,
                        SelectionType type,
                        int setLimit)

  Deprecated See BEA Commerce product offering

Method Detail

### set

    public final void set(List specs,
                          SelectionType type,
                          int setLimit)

  Deprecated See BEA Commerce product offering

### minMet

    public final boolean minMet()

  Deprecated See BEA Commerce product offering

### getType

    public final SelectionType getType()

  Deprecated See BEA Commerce product offering

### isSatisfied

    public final boolean isSatisfied()

  Deprecated See BEA Commerce product offering

### getResults

    public final List getResults()

  Deprecated See BEA Commerce product offering

### commit

    public final void commit()

  Deprecated See BEA Commerce product offering

  commits the last selection results for each spec to that specs results list.

### select

    public final boolean select()

  Deprecated See BEA Commerce product offering

  Returns
    true if the selection was a success, false otherwise. True will be returned if an object could be selected for a query spec or if the maximums of all specs have been met. After a return of false is made the caller should call isMet() to determine if a result set is available. A result set will be available if the minimum is met. Use getResults() to retrieve the final results.

### toString

    public final String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved